/*
  Name: tabellone.cpp
  Copyright: GPL
  Author: Alessandro Bugatti
  Date: 12/10/07 22.30
  Last change: 22/10/07 22.31
  Description: Classe per gestire il tabellone di una partita di tennis
*/

#include <iostream>
#include <cmath>
#include "tabellone.h" // class's header file

using namespace std;

// class constructor
Tabellone::Tabellone()
{
	punteggio[0] = punteggio[1] = 0;
}

// Stampa a video il risultato
void Tabellone::visualizza()
{
    if (abs((double)(punteggio[0]- punteggio[1]))<=40 && punteggio[0]<=40)
    	cout << giocatore[0] << " - " << giocatore[1] <<
    	" : " << punteggio[0] << " - " << punteggio[1] << endl;
	if (punteggio[0] > punteggio[1] + 100)
	       cout << "Ha vinto il game il giocatore " << giocatore[0]<< endl;
    if (punteggio[0]+100 < punteggio[1])
            cout << "Ha vinto il game il giocatore " << giocatore[1]<< endl;
    if (punteggio[0] == punteggio[1] && punteggio[0]>40)
            cout << "Vantaggio pari"<< endl;
    if (punteggio[0] == punteggio[1] + 100)
            cout << "Vantaggio " << giocatore[0]<< endl;
    if (punteggio[0] + 100 == punteggio[1])
            cout << "Vantaggio "<< giocatore[1]<< endl;

}

// Azzera il punteggio
void Tabellone::azzera()
{
	punteggio[0]=0;
	punteggio[1]=0;
}

// Incrementa di uno il punteggio della squadra di casa
void Tabellone::incrementaGiocatore(int i)
{
	if (punteggio[i]<30) punteggio[i]+=15;
	else if (punteggio[i]==30) punteggio[i]=40;
	else punteggio[i]+=100;
}

//Inserisce i nomi dei giocatori
void Tabellone::setNomeGiocatore (const string& g, int n)
{
    giocatore[n] = g;
}
